Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 210910 - NullPointerException at org.netbeans.modules.web.jsf.editor.JsfHtmlExtension.completeAttributes
NullPointerException at org.netbeans.modules.web.jsf.editor.JsfHtmlExtension....
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: JSF Editor
7.2
All All
: P3 (vote)
: 7.2
Assigned To: Marek Fukala
issues@javaee
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 22:35 UTC by muellermi
Modified: 2012-04-19 14:17 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.07 KB, text/plain)
2012-04-09 22:36 UTC, muellermi
Details
stacktrace (2.07 KB, text/plain)
2012-04-09 22:38 UTC, muellermi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description muellermi 2012-04-09 22:35:56 UTC
Build: NetBeans IDE Dev (Build 201204090400)
VM: Java HotSpot(TM) 64-Bit Server VM, 22.1-b02, Java(TM) SE Runtime Environment, 1.7.0_03-b05
OS: Windows 7

User Comments:
muellermi: editing JSF page




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.web.jsf.editor.JsfHtmlExtension.completeAttributes(JsfHtmlExtension.java:326)
   at org.netbeans.modules.html.editor.completion.HtmlCompletionQuery.query(HtmlCompletionQuery.java:484)
   at org.netbeans.modules.html.editor.completion.HtmlCompletionQuery$1.run(HtmlCompletionQuery.java:140)
   at org.netbeans.editor.BaseDocument.render(BaseDocument.java:1343)
   at org.netbeans.modules.html.editor.completion.HtmlCompletionQuery.run(HtmlCompletionQuery.java:133)
   at org.netbeans.modules.parsing.impl.TaskProcessor.callUserTask(TaskProcessor.java:583)
Comment 1 muellermi 2012-04-09 22:36:01 UTC
Created attachment 118021 [details]
stacktrace
Comment 2 muellermi 2012-04-09 22:38:23 UTC
Created attachment 118023 [details]
stacktrace

editing JSF page: <if
Comment 3 Marek Fukala 2012-04-11 09:01:47 UTC
fixed in web-main#895f42c29167
Comment 4 Quality Engineering 2012-04-12 10:01:27 UTC
Integrated into 'main-golden', will be available in build *201204120400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/895f42c29167
User: Marek Fukala <mfukala@netbeans.org>
Log: #210910 - NullPointerException at org.netbeans.modules.web.jsf.editor.JsfHtmlExtension.completeAttributes
Comment 5 Exceptions Reporter 2012-04-19 14:17:29 UTC
This bug already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=186826


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo